Package Details: nuvola-app-yandex-music-git r10.cce65a0-1

Git Clone URL: https://aur.archlinux.org/nuvola-app-yandex-music-git.git (read-only)
Package Base: nuvola-app-yandex-music-git
Description: Yandex Music integration for Nuvola Player.
Upstream URL: https://github.com/tiliado/nuvola-app-yandex-music
Licenses: custom:BSD
Conflicts: nuvola-app-yandex-music
Provides: nuvola-app-yandex-music
Submitter: petRUShka
Maintainer: petRUShka
Last Packager: petRUShka
Votes: 2
Popularity: 0.000000
First Submitted: 2015-08-18 09:34
Last Updated: 2016-11-01 12:45

Dependencies (3)

Required by (3)

Sources (1)

Latest Comments

avkonarev commented on 2017-06-20 10:39

it works

diff --git a/PKGBUILD b/PKGBUILD
index 9604063..bec1827 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,7 @@
# Maintainer: petRUShka <petrushkin@yandex.ru>

pkgname=nuvola-app-yandex-music-git
+_pkgname=nuvola-app-yandex-music
pkgver=r16.cd4e5e3
pkgrel=1
pkgdesc="Yandex Music integration for Nuvola Player."
@@ -16,21 +17,22 @@ sha256sums=('SKIP')

pkgver() {
cd "$pkgname"
- ( set -o pipefail
- git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
)
}

build() {
- cd "$pkgname"
- ./configure
+ cd "$pkgname"
+ ./configure
make all
- cp LICENSE-BSD.txt LICENSE
+ cp LICENSE-BSD.txt LICENSE
}

package() {
cd "$pkgname"
- install -vCDm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
- make install DEST="${pkgdir}/usr/share/nuvolaplayer3/web_apps"
+ make install DESTDIR="${pkgdir}"
+ install -vCDm644 LICENSE "${pkgdir}/usr/share/licenses/${_pkgname}/LICENSE"
}

viler80 commented on 2016-09-29 17:58

Хм, действительно. Почему-то уже нет. Странно. Ну раз так поставим стабильный. Ставил из pacman... В крайнем неудоумении https://aur.archlinux.org/packages/nuvola-app-digitally-imported-git - тут указан в зависимостях

petRUShka commented on 2016-09-28 11:21

А что такое nuvola-git? Такого пакета нет в AUR.

petRUShka commented on 2016-09-24 11:59

Ну, например, сейчас стабильный плагин к я.музыке не работет с 3.0.4, а -git версия работает. Ждём релиза от автора.

viler80 commented on 2016-09-24 11:38

У меня установлен nuvola-git 3.1.0 с diorite-git 0.3, твоя сборка использует diorite 0.2.1 и nuvola 3.0.4. С nuvola-git происходит конфликт diorite и diorite-git. У тебя же есть уже https://aur.archlinux.org/packages/nuvola-app-yandex-music зачем еще одна c 0.2.1? Я ставлю из исходников - все ок

petRUShka commented on 2016-09-21 09:29

3.0.4 doesn't work with Yandex.music due to bug https://github.com/tiliado/nuvola-app-yandex-music/issues/3#issuecomment-248549995

viler80 commented on 2016-09-12 11:42

https://github.com/tiliado/nuvola-app-yandex-music/releases/tag/1.2
https://twitter.com/NuvolaPlayer/status/769598147932876800

petRUShka commented on 2016-07-22 19:53

@Celti, sorry for long delay. I've added you to maintainers list. Please feel free to make changes.

Anonymous comment on 2016-05-24 09:28

The changes previously mentioned have been accepted upstream and are being rolled out to the various integration repositories over time.

I am now maintaining a new unofficial user repository (details at https://repo.celti.name/nuvolaplayer/) with all appropriate Arch Linux packages for Nuvola Player and its integrations.

You may wish to start using the templated PKGBUILD from that repository for this package, an assembled version of which is available at https://gist.github.com/Celti/bf80666ef731b03969c3cb4412a32d4d and will build just fine with both the new and old build systems, while correctly generating icons on the new one.

Anonymous comment on 2016-05-20 09:36

I have submitted two PRs [0][1] upstream to solve the persistent problems with integration icons on Arch. I have also added the same patches to the integrations I maintain; you may find a unified patch at [2] and apply it to your own integrations until the changes are accepted upstream (if ever). See the changes in the associated PKGBUILD [3] for details on using it.

[0] https://github.com/tiliado/nuvola-app-google-play-music/pull/13
[1] https://github.com/tiliado/nuvola-app-google-play-music/pull/14
[2] https://aur.archlinux.org/cgit/aur.git/plain/0001-fix-icons.patch?h=nuvola-app-google-play-git
[3] https://aur.archlinux.org/cgit/aur.git/plain/PKGBUILD?h=nuvola-app-google-play-git

All comments